package com.ruixuan.isc.entity;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 kuaishou_settlement_rules
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public class KuaishouSettlementRules extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 规则ID
     */
    private Long id;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private String ruleName;

    /**
     * 规则类型 1：普通规则 2：冲单规则
     */
    @Excel(name = "规则类型 1：普通规则 2：冲单规则")
    private Integer ruleType;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    private Long userId;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String userName;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return "KuaishouSettlementRules{" +
                "id=" + id +
                ", ruleName='" + ruleName + '\'' +
                ", ruleType=" + ruleType +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                '}';
    }
}
